<!-- 账号管理-资金账户管理-重置密码 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading">
        <div class="g-text-message">{{ t('account.tradingacct.password.message') }}</div>
        <template #footer>
            <el-button @click="onCancel">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { tradingAccResetPwd } from '@/services/api/account'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Model.TradingAccRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const loading = shallowRef(false)

const onCancel = () => {
    show.value = false
}

const onSubmit = () => {
    loading.value = true
    tradingAccResetPwd({
        data: {
            loginid: props.record.loginid
        }
    }).then(() => {
        ElMessage.success(t('account.tradingacct.password.tips1'))
        onCancel()
    }).catch((err) => {
        ElMessage.error(t('account.tradingacct.password.tips2') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>